import { TenantsStateModel } from './tenants.state';
import { TenantDetails } from '../../models/tenant-details';
import { AuthenticationStateModel } from '../../../../state/global/authentication/authentication.state';
import { BaseUserData } from '../../models/base-user-data';
export declare class TenantsSelectors {
    static all(state: TenantsStateModel): TenantDetails[];
    static single(id: string): (state: TenantsStateModel) => TenantDetails;
    static userAllowedTenants(state: TenantsStateModel, auth: AuthenticationStateModel<BaseUserData>): TenantDetails[];
    static currentTenant(state: TenantsStateModel, auth: AuthenticationStateModel<BaseUserData>): TenantDetails;
}
